import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { EventManager } from 'app/core/util/event-manager.service';

import { ISavedSearches } from 'app/shared/model/saved-searches.model';
import { SavedSearchesService } from './saved-searches.service';

@Component({
  templateUrl: './saved-searches-delete-dialog.component.html',
})
export class SavedSearchesDeleteDialogComponent {
  savedSearches?: ISavedSearches;

  constructor(
    protected savedSearchesService: SavedSearchesService,
    public activeModal: NgbActiveModal,
    protected eventManager: EventManager
  ) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.savedSearchesService.delete(id).subscribe(() => {
      this.eventManager.broadcast('savedSearchesListModification');
      this.activeModal.close();
    });
  }
}
